<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
       xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="SCHEDULE">
    <HTML>
      <HEAD>
        <TITLE>
          TV Listings <xsl:value-of select="@DATE"/>
        </TITLE>
      </HEAD>
      <BODY>
        <H1>TV Listings <xsl:value-of select="@DATE"/></H1>


          
          <xsl:for-each select="STATION/SHOW">
            <xsl:sort select="@START_TIME" />
            <DIV>
              <xsl:value-of select="@START_TIME"/> | 
              <B><xsl:value-of select="../@CHANNEL"/></B> |
              <xsl:if test="@STARS=1"> &#x2605; </xsl:if>
              <xsl:if test="@STARS=2"> &#x2605;&#x2605; </xsl:if>
              <xsl:if test="@STARS=3"> &#x2605;&#x2605;&#x2605; </xsl:if>
              <xsl:if test="@STARS=4"> &#x2605;&#x2605;&#x2605;&#x2605; </xsl:if>
              <xsl:if test="@STARS=5"> &#x2605;&#x2605;&#x2605;&#x2605;&#x2605; </xsl:if>
              <B><xsl:value-of select="@NAME"/></B>
              <xsl:if test="@CLOSED_CAPTIONED='Yes'"> (CC) </xsl:if>
              <xsl:value-of select="@LENGTH"/><BR />              
              <xsl:value-of select="@DESCRIPTION"/>
              
              <xsl:if test="CAST">(<xsl:for-each 
                  select="CAST/ACTOR" 
                  xml:space="preserve"><xsl:value-of select="@GIVEN_NAME"/>
                  <xsl:value-of select="@MIDDLE_INITIAL"/>
                  <xsl:value-of select="@MIDDLE_NAME"/>
                  <xsl:value-of select="@SURNAME"/><xsl:if 
                    test="position() != last()">, </xsl:if></xsl:for-each>)
              </xsl:if>
            </DIV>
          </xsl:for-each>

        <HR></HR>
        Copyright 2003
        <A HREF="http://www.elharo.com">
         Elliotte Rusty Harold
        </A>
        <BR />
        <A HREF="mailto:elharo@metalab.unc.edu">
         elharo@metalab.unc.edu
        </A>

      </BODY>
    </HTML>
  </xsl:template>

</xsl:stylesheet>
