<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
       xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="SCHEDULE">
    <HTML>
      <HEAD>
        <TITLE>
          TV Listings <xsl:value-of select="@DATE"/>
        </TITLE>
      </HEAD>
      <BODY>
        <H1 style="text-align: center">TV Listings <xsl:value-of select="@DATE"/></H1>
          
        <table cellspacing="0" style="border-style: solid; border-width: 1px">
          <xsl:for-each select="STATION">
            <xsl:sort select="@CHANNEL" />
            <tr>
              <td style="color: white; background-color: grey;
                         font-weight: bold">
                <xsl:if test="@NETWORK=''">
                  <xsl:value-of select="@CALL_LETTERS"/>            
                </xsl:if>
                <xsl:value-of select="@NETWORK"/>
              </td>
              <td style="color: white; background-color: grey;
                         font-weight: bold">
                 <xsl:value-of select="@CHANNEL"/>       
              </td>  
              <xsl:for-each select="SHOW">
                <td style="border-style: solid; border-width: 1px">
                  <B><xsl:value-of select="@NAME"/></B>
                  <xsl:if test="@CLOSED_CAPTIONED='Yes'"> (CC) </xsl:if>
                  <xsl:value-of select="@DESCRIPTION"/>
                </td>  
              </xsl:for-each>
           </tr>
          </xsl:for-each>
        </table>

        <HR></HR>
        Copyright 2003
        <A HREF="http://www.elharo.com">
         Elliotte Rusty Harold
        </A>
        <BR />
        <A HREF="mailto:elharo@metalab.unc.edu">
         elharo@metalab.unc.edu
        </A>

      </BODY>
    </HTML>
  </xsl:template>

</xsl:stylesheet>
